/*
 */
package de.pfeifer_syscon.corvid;

import com.google.zxing.EncodeHintType;
import com.google.zxing.qrcode.decoder.ErrorCorrectionLevel;
import de.pfeifer_syscon.qr.QRHandler;
import java.io.File;
import java.io.FileOutputStream;
import java.io.OutputStream;
import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author rpf
 */
public class CertInfo {


   /**
     *
     * @param args
     */
    public static void main(String[] args) {
        try {
            if (args.length >= 1) {
                File filePath = new File(args[0]);
                QRHandler qrCode = new QRHandler();
                String covid = qrCode.read(filePath);
                CertMessage certMessage = new CertMessage(covid);
                System.out.format("%s:\n%s\n", filePath.getName(), certMessage.toString());
                if (args.length >= 2) {
                    Map<EncodeHintType, Object> writeHintMap = new HashMap<>();
                    writeHintMap.put(EncodeHintType.ERROR_CORRECTION, ErrorCorrectionLevel.Q);  // same as used on input
                    String format = "png";
                    File f = new File(args[1]);
                    byte[] qrData = qrCode.write(certMessage, format, 300, writeHintMap);
                    try (OutputStream os = new FileOutputStream(f)) {
                        os.write(qrData);
                    }
                }
            }
            else {
                System.out.format("Usage:\nCertInfo input [output.png]");
            }
        }
        catch (Exception exc) {
            exc.printStackTrace();
        }
    }
}
